# glm::gtx::closest_point Namespace Reference

GLM_GTX_closest_point extension: Find the point on a straight line which is the closet of a point. More...

## Functions
template<typename T >
detail::tvec3< T > | closestPointOnLine (detail::tvec3< T > const &point, detail::tvec3< T > const &a, detail::tvec3< T > const &b)
| Find the point on a straight line which is the closet of a point.

## Detailed Description

GLM_GTX_closest_point extension: Find the point on a straight line which is the closet of a point.

## Function Documentation

detail::tvec3<T> glm::gtx::closest_point::closestPointOnLine | ( | detail::tvec3< T > const & | point,
|  | detail::tvec3< T > const & | a,
|  | detail::tvec3< T > const & | b |
| ) |  |  |

Find the point on a straight line which is the closet of a point.

From GLM_GTX_closest_point extension.